- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions | Public Attributes | List of all members
AL::Math::RigidBodySystemBuilder::LinkData< T > Struct Template Reference

`#include <rigidbodysystembuilder.h>`

## Public Types
typedef T | Scalar
typedef Math::BodyMass< Scalar > | BodyMass
typedef BodyMass::Vector3 | Vector3
typedef BodyMass::Matrix3 | Matrix3
typedef Eigen::Transform < Scalar, 3, Eigen::AffineCompact, Eigen::DontAlign > | AffineCompact3

## Public Member Functions
template<typename S >
LinkData< S > | cast () const

## Public Attributes
std::string | parent_body
std::string | new_body
std::string | new_joint
AffineCompact3 | pose_parent_new
JointType | joint_type
BodyMass | body_mass

## Detailed Description

### template<typename T>
struct AL::Math::RigidBodySystemBuilder::LinkData< T >

Definition at line 44 of file rigidbodysystembuilder.h.

## Member Typedef Documentation

template<typename T>

typedef Eigen::Transform<Scalar, 3, Eigen::AffineCompact, Eigen::DontAlign> AL::Math::RigidBodySystemBuilder::LinkData< T >::AffineCompact3

Definition at line 53 of file rigidbodysystembuilder.h.

template<typename T>

typedef Math::BodyMass<Scalar> AL::Math::RigidBodySystemBuilder::LinkData< T >::BodyMass

Definition at line 47 of file rigidbodysystembuilder.h.

template<typename T>

typedef BodyMass::Matrix3 AL::Math::RigidBodySystemBuilder::LinkData< T >::Matrix3

Definition at line 49 of file rigidbodysystembuilder.h.

template<typename T>

typedef T AL::Math::RigidBodySystemBuilder::LinkData< T >::Scalar

Definition at line 45 of file rigidbodysystembuilder.h.

template<typename T>

typedef BodyMass::Vector3 AL::Math::RigidBodySystemBuilder::LinkData< T >::Vector3

Definition at line 48 of file rigidbodysystembuilder.h.

## Member Function Documentation

template<typename T>
template<typename S >

LinkData<S> AL::Math::RigidBodySystemBuilder::LinkData< T >::cast | ( |  | ) | const
| inline

Definition at line 62 of file rigidbodysystembuilder.h.

## Member Data Documentation

template<typename T>

BodyMass AL::Math::RigidBodySystemBuilder::LinkData< T >::body_mass

Definition at line 59 of file rigidbodysystembuilder.h.

template<typename T>

JointType AL::Math::RigidBodySystemBuilder::LinkData< T >::joint_type

Definition at line 58 of file rigidbodysystembuilder.h.

template<typename T>

std::string AL::Math::RigidBodySystemBuilder::LinkData< T >::new_body

Definition at line 55 of file rigidbodysystembuilder.h.

template<typename T>

std::string AL::Math::RigidBodySystemBuilder::LinkData< T >::new_joint

Definition at line 56 of file rigidbodysystembuilder.h.

template<typename T>

std::string AL::Math::RigidBodySystemBuilder::LinkData< T >::parent_body

Definition at line 54 of file rigidbodysystembuilder.h.

template<typename T>

AffineCompact3 AL::Math::RigidBodySystemBuilder::LinkData< T >::pose_parent_new

Definition at line 57 of file rigidbodysystembuilder.h.

The documentation for this struct was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/rigidbodysystembuilder.h